# vim: tabstop=4 shiftwidth=4 softtabstop=4

# Copyright (c) 2011 NTT.
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may    
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0    
#
#    Unless required by applicable law or agreed to in writing, software    
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.
from zope import interface

from nova.network import service
from nova.network.flat.api.openstack import networks    
from nova.network.flat.api.openstack import ports
from nova.network.flat.api.openstack import virtual_nics

class NetworkOpenStackApiService(object):
    """OpenStack API service object for this plugin."""

    interface.implements(service.INetworkOpenStackApiService)

    def set_routes(self, route_map):
        """Generic API method to set up all the routes.
        
        Args:
           route_map: NetworkServiceRouteMap object to add the routes to.
        """
        # Set up VNIC
        route_map.resource("vnics", "/vnics",
                           controller=virtual_nics.Controller())
    
        # Set up networks  
        route_map.resource("networks", "/networks",
                           controller=networks.Controller())
    
        # Set up ports
        route_map.resource("ports", "/ports", 
                           controller=ports.Controller())
