# vim: tabstop=4 shiftwidth=4 softtabstop=4

# Copyright (c) 2011 NTT.
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

from nova import wsgi
from nova.api.openstack import common as nova_common
from nova.api.openstack import faults
from nova.network.flat import common
from nova.network.flat import db

class Controller(wsgi.Controller):
    """ The Ports API controller for the OpenStack API """
    
    def __init__(self):
        super(Controller, self).__init__()
    
    def index(self, req):
        """Return all port/IPs in brief"""
        items = db.api.ip_address_get_all(req.environ['nova.context'])
        items = nova_common.limited(items, req)
        items = [common.filter_keys(item, ('id', 'address')) for item in items]
        return dict(ports=items)
