# vim: tabstop=4 shiftwidth=4 softtabstop=4

# Copyright (c) 2011 NTT.
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

# 
#   Common utility methods and classes are defined here.
# 

import IPy

def filter_keys(item, keys):
    """
    Filters all model attributes except for keys
    item is a dict
    """
    return dict((k, v) for k, v in item.iteritems() if k in keys)

def get_net_and_mask(cidr):
    """
    Gets network IP and netmask from cidr.
    """
    net = IPy.IP(cidr)
    return str(net.net()), str(net.netmask())
