# vim: tabstop=4 shiftwidth=4 softtabstop=4

# Copyright (c) 2011 NTT.
# All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.
from zope import interface

from nova.network import service
from nova.network.flat_dhcp.compute import NetworkAgentService
from nova.network.vlan.api import NetworkApiService
from nova.network.vlan.api.openstack import NetworkOpenStackApiService

class NetworkServiceFactory(object):
    """Factory for network services"""

    interface.implements(service.INetworkServiceFactory)
    
    def get_api_service(self):
        """Gets the API service for this plugin."""
        return NetworkApiService()
    
    def get_os_api_service(self):
        """Gets OS API service for this plugin."""
        return NetworkOpenStackApiService()
    
    def get_net_agent(self):
        """Gets the net agent for this plugin."""
        return NetworkAgentService()
